Class NotificationsImpl

java.lang.Object
com.eqixiac.equinix.customerportal.client.implementation.NotificationsImpl
All Implemented Interfaces:
Notifications

public class NotificationsImpl extends Object implements Notifications
  • Constructor Details

    • NotificationsImpl

      public NotificationsImpl()
  • Method Details

    • searchIbx

      public List<? extends Notification> searchIbx(NotificationSearchRequest request)
      Description copied from interface: Notifications
      Searches IBX notifications (maintenance, incidents, advisories).

      Maps to POST /v1/notifications/ibx/search (search-ibx-notifications).

      Specified by:
      searchIbx in interface Notifications
      Parameters:
      request - the search request body
      Returns:
      the matching IBX notifications
    • searchIbx

      public List<? extends Notification> searchIbx(NotificationSearchRequest request, Integer offset, Integer limit)
      Description copied from interface: Notifications
      Searches IBX notifications (maintenance, incidents, advisories), paging the results.

      Maps to POST /v1/notifications/ibx/search (search-ibx-notifications).

      Specified by:
      searchIbx in interface Notifications
      Parameters:
      request - the search request body
      offset - the index of the first item returned (zero-based), or null for the default
      limit - the maximum number of items returned per page, or null for the default
      Returns:
      the matching IBX notifications
    • searchNetwork

      public List<? extends Notification> searchNetwork(NotificationSearchRequest request)
      Description copied from interface: Notifications
      Searches network notifications (network maintenance and incidents).

      Maps to POST /v1/notifications/network/search (search-network-notifications).

      Specified by:
      searchNetwork in interface Notifications
      Parameters:
      request - the search request body
      Returns:
      the matching network notifications
    • searchNetwork

      public List<? extends Notification> searchNetwork(NotificationSearchRequest request, Integer offset, Integer limit)
      Description copied from interface: Notifications
      Searches network notifications (network maintenance and incidents), paging the results.

      Maps to POST /v1/notifications/network/search (search-network-notifications).

      Specified by:
      searchNetwork in interface Notifications
      Parameters:
      request - the search request body
      offset - the index of the first item returned (zero-based), or null for the default
      limit - the maximum number of items returned per page, or null for the default
      Returns:
      the matching network notifications
    • getIbxById

      public Notification getIbxById(String id)
      Description copied from interface: Notifications
      Retrieves an IBX notification by id.

      Maps to GET /v1/notifications/ibx/{id} (get-ibx-Notification).

      Specified by:
      getIbxById in interface Notifications
      Parameters:
      id - the notification id
      Returns:
      the matching IBX notification
    • getNetworkById

      public Notification getNetworkById(String id)
      Description copied from interface: Notifications
      Retrieves a network notification by id.

      Maps to GET /v1/notifications/network/{id} (get-network-Notification).

      Specified by:
      getNetworkById in interface Notifications
      Parameters:
      id - the notification id
      Returns:
      the matching network notification